> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/graphql/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/graphql/objects/content/content-library.md).

# Content Library

| **Field**    | **Description**        | **Type**                                                                                                                                       |
| ------------ | ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| `categories` | \[ContentCategoryType] | List of [categories](https://app.gitbook.com/o/-LwqSh0rNboNaGEQruZQ/s/-LwqSnBDpAb6mFZYLsuB/~/changes/1886/objects/content/content-categories). |
| `createdAt`  | DateTime               | Content library creation date, format: `YYYY-MM-DDT hh:mm:ssZ`                                                                                 |
| `id`         | ID!                    | Id of content library.                                                                                                                         |
| `imageUrl`   | String                 | Content thumbnail image URL.                                                                                                                   |
| `isBlocked`  | Boolean!               | **True** makes the content unavailable to the users, otherwise **False**.                                                                      |
| `isFavorite` | Boolean!               | **True** marks the content as favorite, otherwise **False**.                                                                                   |
| `isFeatured` | Boolean!               | **True** marks the content as featured, otherwise **False**.                                                                                   |
| `lang`       | JSONString             | Json with content library translated.                                                                                                          |
| `order`      | Int!                   | Used to set category order(The highest value sits on top).                                                                                     |
| `programs`   | \[Program!]            | List of programs the content is available to.                                                                                                  |
| `sourceUrl`  | String                 | Link to the source content.                                                                                                                    |
| `subTitle`   | String                 | Content subtitle.                                                                                                                              |
| `tags`       | \[ContentTagType!]     | List of [tags](https://app.gitbook.com/o/-LwqSh0rNboNaGEQruZQ/s/-LwqSnBDpAb6mFZYLsuB/~/changes/1886/objects/content/content-tag).              |
| `title`      | String                 | Content Title.                                                                                                                                 |
| `updatedAt`  | DateTime               | Content library last update format: `YYYY-MM-DDT hh:mm:ssZ`                                                                                    |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.suggestic.com/graphql/objects/content/content-library.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
